Mozilla Foundation has released Firefox 3.0.7 to address multiple vulnerabilities. These vulnerabilities may allow an attacker to execute arbitrary code, cause a denial-of-service condition, obtain sensitive information, or spoof the location bar. The Mozilla Foundation Security Advisories also indicate that these vulnerabilities affect Thunderbird and SeaMonkey.

INFONETZSECURITY.COM encourages users to review the following Mozilla Foundation Security Advisories and update to Firefox 3.0.7 to help mitigate the risks.

  • Firefox

    Firefox

    Mozilla Foundation Security Advisory 2009-07

  • Mozilla Foundation Security Advisory 2009-08
  • Mozilla Foundation Security Advisory 2009-09
  • Mozilla Foundation Security Advisory 2009-10
  • Mozilla Foundation Security Advisory 2009-11
Advertisements